%define major 1
%define libname %mklibname lxqt %{major}
%define devname %mklibname lxqt -d

Name: liblxqt
Version: 1.4.0
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Libraries for the LXQt desktop
URL: http://lxqt.org/
License: GPLv2+ and LGPLv2+
Group: System/Libraries
#----------------------------------------
BuildRequires: cmake
BuildRequires: kwindowsystem-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: %{_lib}qtxdg-devel >= 3.12.0
BuildRequires: %{_lib}sysstat-devel >= 0.4.6
BuildRequires: lxqt-build-tools >= 0.13.0
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}polkitqt5-qt5-devel
Obsoletes:	lxqt-l10n


%description
Libraries for the LXQt desktop

%package -n %{libname}
Summary: Libraries for the LXQt desktop
Group: System/Libraries
Obsoletes: %{_lib}lxqt0
Provides: %{_lib}lxqt = %version-%release

%description -n %{libname}
Libraries for the LXQt desktop

%package -n %{devname}
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%setup -q %{name}-%{version}


%cmake_qt5 -DLXQT_ETC_XDG_DIR=/etc/xdg -DCMAKE_PREFIX_PATH=/usr/lib64/cmake


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build


%files -n %{libname}
%{_libdir}/*.so.%{major}*
# build at Version 0.13.0
%{_bindir}/lxqt-backlight_backend
%{_datadir}/lxqt/power.conf
%{_datadir}/polkit-1/actions/org.lxqt.backlight.pkexec.policy
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm


%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/cmake/lxqt


%changelog
* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version

* Wed Feb 15 2023 tex - 1.2.0-2pclos2023
- rebuild against updates

* Sat Nov 05 2022 daniel - 1.2.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates
* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0

* Fri Oct 15 2021 tex - 3.7.1-2pclos2021
- rebuild add obsoletes

* Fri Apr 23 2021 tex - 3.7.1-1pclos2021
- new version

* Thu Apr 15 2021 daniel <> 0.17.0-1pclos2021
- 0.17.0

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0

* Sat Sep 12 2020 tex - 0.15.0-3pclos2020
- rebuild against updates

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.0-2pclos2020
- rebuild against updates

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Thu Dec 05 2019 tex - 0.14.1-2pclos2019
- rebuild against updates

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 0.13.0-1pclos2018
- update

* Sun Oct 29 2017 daniel <meisssw01 at gmail.com> 0.12.0-2pclos2017
- rebuild without patch

* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.11.1-1pclos2017
- update

* Mon Nov 14 2016 daniel <meisssw01 at gmail.com> 0.11.0-2pclos2016
- lxqtpower patching

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-1pclos2016
- 0.11.0
- add BR git, libscrnsaver-devel
+ add libqtxdg-devel, libsysstat-devel 

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-2
- rebuild for 32bit

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- import into pclos
